Bug 300288 - Code generation wizard too big for notebook screens
Summary: Code generation wizard too big for notebook screens
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andi Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-19 02:13 UTC by Alvaro Soliverez
Modified: 2013-11-13 20:52 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alvaro Soliverez 2012-05-19 02:13:15 UTC
The code generation wizard does not fit properly in a notebook screen, vertically.
I use 1366x768, and the wizard is too tall.
I had to resize it a couple of times before being able to see the buttons at the bottom.

The general layout of the wizard looks buggy, with big areas of the wizard totally empty and wasting valuable space.
Comment 1 Andi Fischer 2013-10-08 17:52:21 UTC
Git commit b5d73154e77afedd6e768ee474ad510944b356be by Andi Fischer.
Committed on 08/10/2013 at 17:49.
Pushed by fischer into branch 'master'.

Resizing of code generation wizard pages improved.

M  +0    -5    umbrello/codegenwizard/codegenerationwizard.cpp
M  +0    -1    umbrello/codegenwizard/codegenerationwizard.h
M  +50   -47   umbrello/codegenwizard/codegenselectpage.ui
M  +40   -46   umbrello/codegenwizard/codegenstatuspage.ui

http://commits.kde.org/umbrello/b5d73154e77afedd6e768ee474ad510944b356be